NFsec Logo

Adobe Reader 7.0.8.05 expr: błąd składni

04/08/2007 w Debug, Techblog Brak komentarzy.  (artykuł nr 25, ilość słów: 138)

1

4 kwietnia 2005 roku w San Jose – Kalifornii – firma Adobe Systems Incorporated poinformowała, że jest już dostępny Adobe® Reader® 7.0 w wersji dla systemu operacyjnego Linux. Obecnie, po wprowadzeniu na rynek programu w wersji dostosowanej dla systemu Linux®, Adobe umożliwia swobodne przeglądanie treści i drukowanie dokumentów .pdf, zarówno w trybie online jak i offline.

Jednak, aby korzystać z aktualnie udostępnianej wersji Readera należy dokonać małej modyfikacji skryptu wywołującego program, w przeciwnym wypadku otrzymamy serię komunikatów błędu składni. Skrypt ten po standardowym procesie instalacji znajduje się w ścieżce dostępu: /usr/local/Adobe/Acrobat7.0/bin. Aby naprawić błąd wystarczy, że edytujemy plik acroread – a dokładnie jego 418 linię szukając drugiego wyrażenia: [0-9] dodając za nim znak „gwiazdki” (*). Czyli linia:

sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'

Powinna posiadać taką postać:

sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]*\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'

Strona domowa Readera : http://www.adobe.com/pl/

Kategorie K a t e g o r i e : Debug, Techblog

Tagi T a g i : , , ,

Zostaw odpowiedź.

Musisz być zalogowany by móc komentować.